%define upstream_name    Test-Compile
%define upstream_version v3.3.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check whether Perl module files compile correctly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.680.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 1.300.0
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Test::Compile lets you check the validity of a Perl module file or Perl script
file, and report its results in standard Test::Simple fashion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.3.3-2.mga10
+ Revision: 2222565
- Mageia 10 Mass Rebuild

* Thu May 09 2024 tv <tv> 3.3.3-1.mga10
+ Revision: 2063019
- update to v3.3.3

* Wed Aug 30 2023 tv <tv> 3.3.1-1.mga10
+ Revision: 1981960
- update to v3.3.1

* Tue Jun 07 2022 tv <tv> 3.1.0-1.mga9
+ Revision: 1863133
- update to v3.1.0

* Mon Mar 21 2022 umeabot <umeabot> 3.0.1-2.mga9
+ Revision: 1814939
- Mageia 9 Mass Rebuild

* Tue Aug 24 2021 tv <tv> 3.0.1-1.mga9
+ Revision: 1742477
- update to v3.0.1

* Wed Jun 23 2021 tv <tv> 2.4.2-1.mga9
+ Revision: 1731964
- update to v2.4.2

* Tue Jul 07 2020 tv <tv> 2.4.1-1.mga8
+ Revision: 1602774
- update to v2.4.1

* Mon Mar 30 2020 tv <tv> 2.4.0-1.mga8
+ Revision: 1562291
- update to v2.4.0

* Sun Feb 16 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1536706
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 tv <tv> 2.3.1-1.mga8
+ Revision: 1455602
- update to v2.3.1

* Wed Oct 09 2019 tv <tv> 2.3.0-1.mga8
+ Revision: 1450753
- update to v2.3.0

* Fri Jul 12 2019 tv <tv> 2.2.2-1.mga8
+ Revision: 1420662
- update to v2.2.2

* Wed Jul 10 2019 tv <tv> 2.2.1-1.mga8
+ Revision: 1419871
- update to v2.2.1

* Mon Jul 08 2019 tv <tv> 2.2.0-1.mga8
+ Revision: 1419664
- restore BR perl(UNIVERSAL::require)
- update to v2.2.0

* Wed Jul 03 2019 tv <tv> 2.1.2-1.mga8
+ Revision: 1417876
- update to v2.1.2

* Mon Jul 01 2019 tv <tv> 2.1.1-1.mga8
+ Revision: 1417214
- update to v2.1.1

* Sat Jun 29 2019 shlomif <shlomif> 2.1.0-1.mga8
+ Revision: 1415756
- update to v2.1.0
+ tv <tv>
- improved description
- use new build macros
- use %%license

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-3.mga7
+ Revision: 1271678
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.3.0-1.mga6
+ Revision: 903347
- new release

* Mon Jun 29 2015 sander85 <sander85> 1.2.1-1.mga6
+ Revision: 847935
- update to v1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 749040
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.2.0-3.mga5
+ Revision: 735983
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 686417
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 1.2.0-1.mga5
+ Revision: 661420
- update to v1.2.0

* Fri Jul 18 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 653621
- update to v1.1.0

* Fri May 02 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 619659
- update to v1.0.1

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 527361
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.240.0-1.mga4
+ Revision: 439929
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 315872
- update to 0.22

* Wed Sep 05 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 288540
- update to 0.21

* Fri Aug 31 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 286530
- update to 0.20

* Sat Feb 25 2012 kharec <kharec> 0.170.0-1.mga2
+ Revision: 214487
- update to 0.17

* Thu Feb 23 2012 kharec <kharec> 0.160.0-1.mga2
+ Revision: 212517
- update to 0.16

* Wed Jan 25 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 201037
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37713
- mageia rebuild
- imported package perl-Test-Compile

